# Visualization
TKV3d
StdPrs

# StdPrs_WFPoleSurface Class Reference

The number of lines to be drawn is controlled
by the NetworkNumber of the given Drawer.
.

`#include <StdPrs_WFPoleSurface.hxx>`

Inheritance diagram for StdPrs_WFPoleSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Adaptor3d_Surface &aSurface, const Handle(Prs3d_Drawer)&aDrawer)
| Adds the surface aSurface to the presentation object aPresentation. The shape's display attributes are set in the attribute manager aDrawer. The surface aSurface is a surface object from Adaptor3d, and provides data from a Geom surface. This makes it possible to use the surface in a geometric algorithm. .

## Member Function Documentation

static Standard_EXPORT void StdPrs_WFPoleSurface::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Adaptor3d_Surface & | aSurface,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_WFPoleSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFPoleSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFPoleSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_WFPoleSurface.hxx